Debian Bug report logs - #560510
audacious-plugins: FTBFS: jack.c:239: error: conflicting types for 'jack_free'

version graph

Package: src:audacious-plugins; Maintainer for src:audacious-plugins is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Fri, 11 Dec 2009 08:27:05 UTC

Severity: serious

Found in version audacious-plugins/2.1-1

Fixed in version audacious-plugins/2.1-1.1

Done: Axel Beckert <abe@deuxchevaux.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>:
Bug#560510; Package src:audacious-plugins. (Fri, 11 Dec 2009 08:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>. (Fri, 11 Dec 2009 08:27:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: audacious-plugins: FTBFS: jack.c:239: error: conflicting types for 'jack_free'
Date: Fri, 11 Dec 2009 09:20:56 +0100
Source: audacious-plugins
Version: 2.1-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20091210 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[6]: Entering directory `/build/user-audacious-plugins_2.1-1-amd64-9iFFqP/audacious-plugins-2.1/src/jack'
> jack.c:239: error: conflicting types for 'jack_free'
> /usr/include/jack/jack.h:1010: note: previous declaration of 'jack_free' was here
> Compiling jack.c...
Failed to compile jack.c!
> make[6]: *** [jack.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2009/12/10/audacious-plugins_2.1-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Reply sent to Axel Beckert <abe@deuxchevaux.org>:
You have taken responsibility. (Sun, 24 Jan 2010 15:36:15 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sun, 24 Jan 2010 15:36:15 GMT) Full text and rfc822 format available.

Message #10 received at 560510-close@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@deuxchevaux.org>
To: 560510-close@bugs.debian.org
Subject: Bug#560510: fixed in audacious-plugins 2.1-1.1
Date: Sun, 24 Jan 2010 15:32:49 +0000
Source: audacious-plugins
Source-Version: 2.1-1.1

We believe that the bug you reported is fixed in the latest version of
audacious-plugins, which is due to be installed in the Debian FTP archive:

audacious-plugins-dbg_2.1-1.1_amd64.deb
  to main/a/audacious-plugins/audacious-plugins-dbg_2.1-1.1_amd64.deb
audacious-plugins-dev_2.1-1.1_amd64.deb
  to main/a/audacious-plugins/audacious-plugins-dev_2.1-1.1_amd64.deb
audacious-plugins-extra_2.1-1.1_amd64.deb
  to main/a/audacious-plugins/audacious-plugins-extra_2.1-1.1_amd64.deb
audacious-plugins_2.1-1.1.diff.gz
  to main/a/audacious-plugins/audacious-plugins_2.1-1.1.diff.gz
audacious-plugins_2.1-1.1.dsc
  to main/a/audacious-plugins/audacious-plugins_2.1-1.1.dsc
audacious-plugins_2.1-1.1_amd64.deb
  to main/a/audacious-plugins/audacious-plugins_2.1-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 560510@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Axel Beckert <abe@deuxchevaux.org> (supplier of updated audacious-plugins package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 24 Jan 2010 01:09:51 +0100
Source: audacious-plugins
Binary: audacious-plugins audacious-plugins-extra audacious-plugins-dev audacious-plugins-dbg
Architecture: source amd64
Version: 2.1-1.1
Distribution: unstable
Urgency: low
Maintainer: Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>
Changed-By: Axel Beckert <abe@deuxchevaux.org>
Description: 
 audacious-plugins - Base plugins for audacious
 audacious-plugins-dbg - Audacious-Plugins debug symbols
 audacious-plugins-dev - Useful virtual package for doing audacious plugin development
 audacious-plugins-extra - Various extra plugins for audacious
Closes: 543329 560510
Changes: 
 audacious-plugins (2.1-1.1) unstable; urgency=low
 .
   * NMU from Moenchengladbach BSP
   * Fixes FTBFS due to conflicting types for jack_free (Closes: #560510)
     [debian/patches/10_jack_fix_conflicting_types.diff]
   * Fixes FTBFS on kFreeBSD (Closes: #543329)
Checksums-Sha1: 
 92cf859b33acfc7d036467d385b814a199a73989 2427 audacious-plugins_2.1-1.1.dsc
 8701375c3e70cdb6ba196c661014ba30e75c1269 11882 audacious-plugins_2.1-1.1.diff.gz
 b0d1384b7bf94028dd9faf26c0276403d6fad946 630000 audacious-plugins_2.1-1.1_amd64.deb
 296682f41b7ff2b945c548fa6454e583cd7d2240 1359874 audacious-plugins-extra_2.1-1.1_amd64.deb
 44cfb8ae6bfb3052460782f2790c7fdc0839e5b2 10944 audacious-plugins-dev_2.1-1.1_amd64.deb
 8be4e793f31ea5862f83989f48c01ed11bcd2f18 5994616 audacious-plugins-dbg_2.1-1.1_amd64.deb
Checksums-Sha256: 
 6c288714107e27efd5714d96919b45e3b42ad98aa6b4c7de37a29e77e2c9b0f9 2427 audacious-plugins_2.1-1.1.dsc
 b98739eb7985ce664d532e66cf667506a6dffcdec0765226fd19e068e19383e1 11882 audacious-plugins_2.1-1.1.diff.gz
 e7647772fda78ffb4931e8ec3802c8219657210b3a101562e4760e4767e9a257 630000 audacious-plugins_2.1-1.1_amd64.deb
 2b753c12706519ea21a957a4c212d37632d38370e5b803dd014d31056d5ec470 1359874 audacious-plugins-extra_2.1-1.1_amd64.deb
 76ec8b5b6502823d8fc3195ab1ccbb1909bf1d5c445cdbf86028773e489fa64e 10944 audacious-plugins-dev_2.1-1.1_amd64.deb
 6794863404115a87cadfc061e440ac4aa13864252f8b20cad3038bcdffb28212 5994616 audacious-plugins-dbg_2.1-1.1_amd64.deb
Files: 
 0ba7aedfd5a2f9149df59ef37c673bca 2427 sound optional audacious-plugins_2.1-1.1.dsc
 c979f13463a4975c1cb227ff1fd93d22 11882 sound optional audacious-plugins_2.1-1.1.diff.gz
 2034e8942ebf923736838ee02ffb4eb3 630000 sound optional audacious-plugins_2.1-1.1_amd64.deb
 be922e77f2137c7c44dc308c8bc72abf 1359874 sound optional audacious-plugins-extra_2.1-1.1_amd64.deb
 7b24b8e3d87afa2b0f5aa4e2f1f78855 10944 devel optional audacious-plugins-dev_2.1-1.1_amd64.deb
 424cf600ffab921f8b1e602618857d40 5994616 debug extra audacious-plugins-dbg_2.1-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktcVtsACgkQxa93SlhRC1rquACfaSOwQ+uaUroDpsx5kimuqm5/
oDYAoO7iIy1hq1uGmS/mXsQnWFSmJtEn
=UPno
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Apr 2010 07:31:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:30:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.